//===================================================================
// This file is provided as part of the ClearImage COM Development Kit
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT  
// WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,  
// INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES  
// OF MERCHANTABILITY AND/OR FITNESS FOR A  PARTICULAR PURPOSE. 
// 
// Copyright (C) 2003-2004.  Inlite Research, Inc. All rights reserved 
//===================================================================

#include "stdafx.h"
#include <stdio.h>			// sprintf 

void DisplayMicrInfo (_CcMicrInfoPtr &info)
	{
  printf ("%-15s  %s  %s\n",  (LPCTSTR) (info->Name),  
															info->IsAbaCompliant ? "ABA" : "   ",
															info->IsRead ? (LPCTSTR) (info->TextANSI) : "NOT PRESENT");
	}

//########################################################################
bool ReadMicr  (ICiImagePtr &Image, char *rot)
	{
	try 
		{
		_CcMicrReaderPtr Reader;
		HRESULT hr = Reader.CreateInstance(__uuidof(CcMicrReader));
		Reader->Image = Image;
		Reader->Flags = emrfEnforceAbaParsing; // or ->Flags
		Reader->MaxMicrCount = 1;
		int cnt = Reader->FindMICR();
		if (cnt == 1)
		{
			printf ("Rotation %s: 1 MICR\n", rot);
			for (long i = 1; i <= Reader->MicrCount; i++)
				{
				 _CcMicrPtr micr = Reader->MicrLine[i];
				 printf ("DPI: %f,  Document Type %s\n", micr->Dpi, (LPCTSTR)(micr->DocumentType));
				 DisplayMicrInfo(micr->Info);
				 DisplayMicrInfo(micr->AuxOnUs);
				 DisplayMicrInfo(micr->EPC);
				 DisplayMicrInfo(micr->Routing);
				 DisplayMicrInfo(micr->RoutingChecksum);
				 DisplayMicrInfo(micr->OnUs);
				 DisplayMicrInfo(micr->Amount);
				 DisplayMicrInfo(micr->Account);
				 DisplayMicrInfo(micr->CheckNumber);
 				 i = i;
			}
			return true;
		}
		else
		{
			printf ("Rotation %s: NO MICR\n", rot);
			return false;
		}
		}
	catch (_com_error &ex)
		{
		dump_com_error(ex);
		return false;
		}
	}


